Bug 508066 - Review Request: python-sybase - Python interface to Sybase
Review Request: python-sybase - Python interface to Sybase
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Extras Quality Assurance
:
: python-sybase (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-25 09:11 EDT by Yanko Kaneti
Modified: 2009-07-08 16:21 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-08 16:21:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Yanko Kaneti 2009-06-25 09:11:28 EDT
Spec URL: http://declera.com/~yaneti/python-sybase/python-sybase.spec
SRPM URL: http://declera.com/~yaneti/python-sybase/python-sybase-0.39-1.fc12.src.rpm
Description: 
python-sybase is a DB-API 2.0 compliant Python interface 
to the Sybase Relational Database.

$ rpmlint mock/fedora-rawhide-x86_64/result/python-sybase-*rpm
3 packages and 0 specfiles checked; 0 errors, 0 warnings.
Comment 1 Jason Tibbitts 2009-06-30 21:18:59 EDT
*** Bug 459675 has been marked as a duplicate of this bug. ***
Comment 2 Jason Tibbitts 2009-07-01 16:51:16 EDT
Not much to  this one.  Is there any part of the test suite which could be run at build time?  At least some of the tests don't seem to require a database server.

Why not build the documentation?  It's not exactly user-friendly to provide raw tex source and a Makefile.

* source files match upstream.  sha256sum:                 
   a4dcac0d5ac6ae9145301fd804de238d20d5ec960e7af2a25b6df850d1f8b782  python-
   sybase-0.39.tar.gz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.                                                              
* description is OK.                                                          
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text included in package.
* latest version is being packaged.
* BuildRequires are proper.
* compiler flags are appropriate.
* %clean is present.
* package builds in mock (rawhide, x86_64).
* package installs properly.
* debuginfo package looks complete.
* rpmlint is silent.
* final provides and requires are sane:
   sybasect.so()(64bit)
   python-sybase = 0.39-1.fc12
   python-sybase(x86-64) = 0.39-1.fc12
  =
   libct.so.4()(64bit)
   libpython2.6.so.1.0()(64bit)
   python(abi) = 2.6

? %check is not present but there seems to be a test suite.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no generically named files
* code, not content.
* no headers.
* no pkgconfig files.
* no static libraries.
* no libtool .la files.

The package review process needs reviewers!  If you haven't done any package
reviews recently, please consider doing one.
Comment 3 Yanko Kaneti 2009-07-02 05:30:34 EDT
Thanks for reviewing

(In reply to comment #2)
> Is there any part of the test suite which could be run
> at build time?  At least some of the tests don't seem to require a database
> server.

All the dbapi20 tests seem to require a working db server.
The numeric parsing testcase (test_numeric_parse.py) actually fails, for which I've filed a bug upstream.
https://sourceforge.net/tracker/?func=detail&aid=2815670&group_id=184050&atid=907701

> Why not build the documentation?  It's not exactly user-friendly to provide raw
> tex source and a Makefile.

Converting this seems to be a major PITA. They are in python docs tex dialect requiring tex style definitions from python 2.5 tools that no longer exist for 2.6 and even for 2.5 and F10 were specifically excluded from the fedora packages. The only sane way (without major patching) that I've come up with would require getting these in the buildroot
http://svn.python.org/projects/python/branches/release25-maint/Doc/texinputs/howto.cls
http://svn.python.org/projects/python/branches/release25-maint/Doc/texinputs/pypaper.sty
http://svn.python.org/projects/python/branches/release25-maint/Doc/texinputs/python.sty
and then pdflatex  generating a single pdf.
Couldn't get a proper html output with latex2html even with the styles present.

There might be a better way using existing in fedora tools, but I can't find it.
Comment 4 Yanko Kaneti 2009-07-06 10:39:12 EDT
This the shortest I've achieved at getting a doc built. Open to any suggestions on how to deal with it better.

SPEC: http://declera.com/~yaneti/python-sybase/python-sybase.spec
SRPM: http://declera.com/~yaneti/python-sybase/python-sybase-0.39-2.fc12.src.rpm

* Mon Jul  6 2009 Yanko Kaneti <yaneti@declera.com> - 0.39-2
- Try harder to build human readable documentation
- Move the sybasect.so chmod after the install phase
Comment 5 Jason Tibbitts 2009-07-08 13:11:02 EDT
Indeed, that works fine.

It's too bad that none of the tests are useful; you might consider adding a comment to that effect as a reminder to try and turn at least some tests on in the future.

APPROVED
Comment 6 Yanko Kaneti 2009-07-08 13:43:36 EDT
New Package CVS Request
=======================
Package Name: python-sybase
Short Description: Python interface to Sybase
Owners: yaneti
Branches: F-10 F-11
InitialCC:
Comment 7 Jason Tibbitts 2009-07-08 14:33:40 EDT
CVS done.
Comment 8 Yanko Kaneti 2009-07-08 16:21:01 EDT
Imported. Builds done. Bodhi updates penging.
I added a small comment wrt the tests.
Also enabled an upstream compile option for using threads. Could be a little buggy but not in the packaging sense.
Thanks again for the review.

Note You need to log in before you can comment on or make changes to this bug.